Jump to content
UTM.SPACE community

Utmcabinet V2.0 (Utm 5.2.1–008 +, 5.3)


admin
 Share

v2.0  

51 members have voted

  1. 1. Нужен ли новый кабинет?

    • да
    • нет
      0
    • меня устраивает стандартный
      0
    • используем свои разработки
      0

This poll is closed to new votes


Recommended Posts

$retCode = $this->urfa->get_int();
if($retCode != 0)
   return;

просто вот код из стандартного кабинета от netup

Вероятнее всего подразумевается что должен быть возвращен 0. Сложно судить о том что должно быть без документации по возвращаемым параметрам.

Link to comment
Share on other sites

  • 4 months later...

Добрый день, появилась идея сделать акцию в ЛК, мной был нарисован слайдер,

 Подскажите как его встроить в ЛК, при копировании html,css,js ползунок от рисовывается не корректно, похоже что jquery ui не подключается. 

Link to comment
Share on other sites

https://bitbucket.org/darang/utm5cabinet_5.3/src/a7705095ea8fa9058ec07205d7059b89cce2f222/application/layouts/default.phtml?at=5.3.4
Вот эта строка должна подключать его

    <?php echo $this->jQuery()->uiEnable(); ?>

Или можете сами подключать скрипты, там же немного выше
 

    <?php echo $this->headScript()
        ->appendFile('/assets/js/jquery/jquery.min.js')

 

Link to comment
Share on other sites

Попробовал добавить Js с codepen.io, 

 <?php echo $this->headScript()
        ->appendFile('/assets/js/jquery/jquery.min.js')

В итоге ничего не поменялось... в консоле браузера Uncaught TypeError: $(...).slider is not a function.

 

45345.png

Link to comment
Share on other sites

17 часов назад, admin сказал:

jquery.js

Не подключен значит

Хотя нет, не подключен скрипт слайдера или он подключен раньше jquery

Да видимо "не правильно/не туда вставляю" сам скрипт, правильно я понимаю, что можно сам js вставить в change-tarrif.phtml? 

Могу выложить интеграцию со сбербанк - эквайринг, если кто то заинтересован,  есть у кого то пример восстановления пароля с помощью смс. Или какие нибудь бандл решения "Интернет+что то".

Link to comment
Share on other sites

1 минуту назад, starter сказал:

Да видимо "не правильно/не туда вставляю" сам скрипт, правильно я понимаю, что можно сам js вставить в change-tarrif.phtml?

конечно

Link to comment
Share on other sites

По Вашему примеру подключил так.

<?php echo $this->headScript()
        ->appendFile('/assets/js/jqueryUI/jquery-1.11.0.min.js') ; ?>

<?php echo $this->headScript()
        ->appendFile('/assets/js/jqueryUI/jquery-ui.min.js') ; ?>

  <?php echo $this->jQuery()->uiEnable(); ?>

 


 

Link to comment
Share on other sites

В итоге получилось корректно отобразить слайдер только скопировав текст js из ajax.googleapis.com/ajax/libs/jqueryui/1/jquery-ui.min.js в /assets/js/jquery/jquery.min.js, так и не понял почему не подхватывалось с помощью

 <?php echo $this->headScript()
        ->appendFile('/assets/js/jqueryUI/jquery-ui.min.js') ; ?>

Link to comment
Share on other sites

  • 3 months later...

Ребят utm5-3.005 update1 кабинет взял последний 5.3.4, PHP Version 7.0.30-0+deb9u1, OpenSSL 1.1.0f 25 May 2017,  mysql  Ver 15.1 Distrib 10.1.26-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2, при попытки авторизоваться в личный кабинет, в error.log апача падает PHP Notice:  fwrite(): send of 12 bytes failed with errno=32 Broken pipe in /var/www/library/Urfa/Socket.php on line 70 и в кабинете Ошибка авторизации. Не верная пара логин-пароль подскажите куда копать? на убунту 16.04 все работало, пора обновляться полностью. И вот такая штука. Заранее спасибо.

Link to comment
Share on other sites

Спасибо, изврат былин со стороны нетапа, выпустить выпустили под Debian 9, а Openssl 1.1 не поддерживают, libssl старый накатывать пришлось что бы rfw заработал, а кабинет оказывается тоже не может.

Link to comment
Share on other sites

Вышло обновление, и похоже ушли от использования sslv3 на debian 9 со стандартным опенссл 1.1.1t все пошло как надо, только вот кабинет нет, стандартный кабинет работает, вот ссылка на стандартный кабинет прошу помощи. Что бы и ваш кабинетик заработал https://yadi.sk/d/pRycpA523ZwMY6 а то сейчас в логах RPC2Connection: [SSL]<bu72wd@127.0.0.1>SSL connection failed (4), system errno <0>

Link to comment
Share on other sites

  • 2 months later...

Версия 5.3-005-update2-debian_stretch_x64, личный кабинет работает в целом, но:

1. На странице свойств услуги - пусто.

2. На странице изменений данных пользователя заполняю домашний телефон, мобильный, e-mail. Ставлю чекбокс "подтвердить", нажимаю "отправить" - ничего не происходит. Нажимаю еще раз - пишет - данные изменены, но. При повторном редактировании данных - телефоны есть, e-mail пуст. Хотя в базу пишется, в админке видно.

Link to comment
Share on other sites

  • 1 year later...

Добрый день. В версии UTM5 5.3-006 при внесении обещанного платежа и формировании отчетов вылазят ошибки. Я где то косячу, или все таки что то изменилось и нынче не поддерживается? Возможно из-за PHP 7.0.33-0+deb9u6?

Fatal error: Uncaught Error: Class 'DOMDocument' not found in /var/www/utm5/html/library/Zend/Xml/Security.php:82 Stack trace: #0 /var/www/utm5/html/library/Zend/Xml/Security.php(150): Zend_Xml_Security::scan('<?xml version="...', NULL) #1 /var/www/utm5/html/library/Zend/Locale/Data.php(160): Zend_Xml_Security::scanFile('/var/www/utm5/h...') #2 /var/www/utm5/html/library/Zend/Locale/Data.php(232): Zend_Locale_Data::_findRoute('ru_RU', '/ldml/numbers/s...', '', 'decimal', Array) #3 /var/www/utm5/html/library/Zend/Locale/Data.php(627): Zend_Locale_Data::_getFile('ru_RU', '/ldml/numbers/s...', '', 'decimal') #4 /var/www/utm5/html/library/Zend/Locale/Format.php(519): Zend_Locale_Data::getList('ru_RU', 'symbols') #5 /var/www/utm5/html/library/Zend/Locale/Format.php(675): Zend_Locale_Format::isNumber('5', Array) #6 /var/www/utm5/html/library/Zend/Validate/Float.php(124): Zend_Locale_Format::isFloat('5', Array) #7 /var/www/utm5/html/library/Zend/Form/Element.php(1443): Zend_Validate_Float->isValid('5', Array) #8 /var/www/utm5/ht in /var/www/utm5/html/library/Zend/Xml/Security.php on line 82

 

Edited by AlexanderVir
Link to comment
Share on other sites

5 minutes ago, AlexanderVir said:

Добрый день. В версии UTM5 5.3-006 при внесении обещанного платежа и формировании отчетов вылазят ошибки. Я где то косячу, или все таки что то изменилось и нынче не поддерживается? 


Fatal error: Uncaught Error: Class 'DOMDocument' not found in /var/www/utm5/html/library/Zend/Xml/Security.php:82 Stack trace: #0 /var/www/utm5/html/library/Zend/Xml/Security.php(150): Zend_Xml_Security::scan('<?xml version="...', NULL) #1 /var/www/utm5/html/library/Zend/Locale/Data.php(160): Zend_Xml_Security::scanFile('/var/www/utm5/h...') #2 /var/www/utm5/html/library/Zend/Locale/Data.php(232): Zend_Locale_Data::_findRoute('ru_RU', '/ldml/numbers/s...', '', 'decimal', Array) #3 /var/www/utm5/html/library/Zend/Locale/Data.php(627): Zend_Locale_Data::_getFile('ru_RU', '/ldml/numbers/s...', '', 'decimal') #4 /var/www/utm5/html/library/Zend/Locale/Format.php(519): Zend_Locale_Data::getList('ru_RU', 'symbols') #5 /var/www/utm5/html/library/Zend/Locale/Format.php(675): Zend_Locale_Format::isNumber('5', Array) #6 /var/www/utm5/html/library/Zend/Validate/Float.php(124): Zend_Locale_Format::isFloat('5', Array) #7 /var/www/utm5/html/library/Zend/Form/Element.php(1443): Zend_Validate_Float->isValid('5', Array) #8 /var/www/utm5/ht in /var/www/utm5/html/library/Zend/Xml/Security.php on line 82

 

Вероятнее всего у вас не установлено расширение php-xml

Для ubuntu и php7.2

sudo apt install php7.2-xml
Link to comment
Share on other sites

  • 1 month later...

Здравствуйте!

Версия utm5.3-005, устанавливаю кабинет utm5cabinet_5.3

Подскажите пожалуйста при установке ЛК выходит такая ошибка. Так же если вводить логин и пароль пользователя из базы, происходит ошибка авторизации.

Screenshot_9.png

Edited by user122
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...